Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008509 [DCSS] Bug Report minor have not tried 2014-05-07 06:23 2016-02-22 01:11
Reporter 78291 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008509: It's possible to target dazzling spray such that it hits the player
Description Aim the middle ray into the rock pillar and it will hit the player with no prompt.
Additional Information
Tags No tags attached.
Attached Files ? file icon Test.cs [^] (82,293 bytes) 2014-05-07 06:23
png file icon dazzlingsprayhitsyourself.png [^] (399,352 bytes) 2014-05-16 00:14
png file icon dz2.PNG [^] (56,602 bytes) 2015-01-27 23:48


png file icon dz3.PNG [^] (5,278 bytes) 2015-01-27 23:48

- Relationships
has duplicate 0009327closedwheals Self-dazzled with Dazzling Spray without a warning 

-  Notes
(0026179)
HilariousDeathArtist (reporter)
2014-05-16 00:15

I uploaded a screenshot where I hit myself with dazzling spray by bouncing it off a metal wall while targeting a monster. The beam highlighted my square but there was no warning saying it was targeting myself.
(0028374)
silentsnack (reporter)
2015-01-27 23:47

Apparently this is happening still/again in trunk.
(0029988)
wheals (administrator)
2015-12-15 04:52

Now happens whenever you aim it into an adjacent solid square.
(0030207)
wheals (administrator)
2016-02-22 01:11

Fixed with https://github.com/crawl/crawl/commit/f5a3c2b3b6c5. [^]

- Issue History
Date Modified Username Field Change
2014-05-07 06:23 78291 New Issue
2014-05-07 06:23 78291 File Added: Test.cs
2014-05-16 00:14 HilariousDeathArtist File Added: dazzlingsprayhitsyourself.png
2014-05-16 00:15 HilariousDeathArtist Note Added: 0026179
2014-12-14 03:40 wheals Relationship added has duplicate 0009327
2015-01-27 23:47 silentsnack Note Added: 0028374
2015-01-27 23:48 silentsnack File Added: dz2.PNG
2015-01-27 23:48 silentsnack File Added: dz3.PNG
2015-12-15 04:52 wheals Note Added: 0029988
2016-02-22 01:11 wheals Note Added: 0030207
2016-02-22 01:11 wheals Status new => resolved
2016-02-22 01:11 wheals Fixed in Branch => 0.18 development branch
2016-02-22 01:11 wheals Resolution open => done
2016-02-22 01:11 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker